Bug 241367 - oprofile dump causes memory corruptions
oprofile dump causes memory corruptions
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-25 10:17 EDT by Ulrich Drepper
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-11 15:01:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ulrich Drepper 2007-05-25 10:17:55 EDT
Description of problem:
When shutting down the oprofile daemon (and implicitly dumping the data) I get
the following messages.  This is done with the kernel-debug kernel.

May 25 07:02:56 vt kernel: oprofile: using NMI interrupt.
May 25 07:06:41 vt kernel: slab error in verify_redzone_free(): cache `size-32':
double free detected
May 25 07:06:41 vt kernel: 
May 25 07:06:41 vt kernel: Call Trace:
May 25 07:06:41 vt kernel:  [<ffffffff802d93e9>] __slab_error+0x24/0x26
May 25 07:06:41 vt kernel:  [<ffffffff80231fcc>] cache_free_debugcheck+0x110/0x222
May 25 07:06:41 vt kernel:  [<ffffffff8845dbd5>] :oprofile:free_msrs+0x28/0x66
May 25 07:06:41 vt kernel:  [<ffffffff8020b28d>] kfree+0xd7/0x27e
May 25 07:06:41 vt kernel:  [<ffffffff8845dbd5>] :oprofile:free_msrs+0x28/0x66
May 25 07:06:41 vt kernel:  [<ffffffff8845dc47>] :oprofile:nmi_shutdown+0x34/0x36
May 25 07:06:41 vt kernel:  [<ffffffff8845c070>]
:oprofile:oprofile_shutdown+0x23/0x46
May 25 07:06:41 vt kernel:  [<ffffffff8845cdf6>]
:oprofile:event_buffer_release+0x16/0x46
May 25 07:06:41 vt kernel:  [<ffffffff8021237d>] __fput+0xca/0x190
May 25 07:06:41 vt kernel:  [<ffffffff8022d9a7>] fput+0x14/0x16
May 25 07:06:41 vt kernel:  [<ffffffff80224656>] filp_close+0x66/0x71
May 25 07:06:41 vt kernel:  [<ffffffff80239632>] put_files_struct+0x6d/0xc0
May 25 07:06:41 vt kernel:  [<ffffffff80215126>] do_exit+0x296/0x80d
May 25 07:06:41 vt kernel:  [<ffffffff80248600>] debug_mutex_init+0x0/0x45
May 25 07:06:41 vt kernel:  [<ffffffff8024c115>] sys_exit_group+0x12/0x14
May 25 07:06:41 vt kernel:  [<ffffffff8025c11e>] system_call+0x7e/0x83
May 25 07:06:41 vt kernel: 
May 25 07:06:41 vt kernel: ffff8100703e4d10: redzone 1:0x5a2cf071, redzone
2:0x5a2cf071.
May 25 07:06:41 vt kernel: slab error in verify_redzone_free(): cache `size-32':
double free detected
May 25 07:06:41 vt kernel: 
May 25 07:06:41 vt kernel: Call Trace:
May 25 07:06:41 vt kernel:  [<ffffffff802d93e9>] __slab_error+0x24/0x26
May 25 07:06:41 vt kernel:  [<ffffffff80231fcc>] cache_free_debugcheck+0x110/0x222
May 25 07:06:41 vt kernel:  [<ffffffff8845dbec>] :oprofile:free_msrs+0x3f/0x66
May 25 07:06:41 vt kernel:  [<ffffffff8020b28d>] kfree+0xd7/0x27e
May 25 07:06:41 vt kernel:  [<ffffffff8845dbec>] :oprofile:free_msrs+0x3f/0x66
May 25 07:06:41 vt kernel:  [<ffffffff8845dc47>] :oprofile:nmi_shutdown+0x34/0x36
May 25 07:06:41 vt kernel:  [<ffffffff8845c070>]
:oprofile:oprofile_shutdown+0x23/0x46
May 25 07:06:41 vt kernel:  [<ffffffff8845cdf6>]
:oprofile:event_buffer_release+0x16/0x46
May 25 07:06:41 vt kernel:  [<ffffffff8021237d>] __fput+0xca/0x190
May 25 07:06:41 vt kernel:  [<ffffffff8022d9a7>] fput+0x14/0x16
May 25 07:06:41 vt kernel:  [<ffffffff80224656>] filp_close+0x66/0x71
May 25 07:06:41 vt kernel:  [<ffffffff80239632>] put_files_struct+0x6d/0xc0
May 25 07:06:41 vt kernel:  [<ffffffff80215126>] do_exit+0x296/0x80d
May 25 07:06:41 vt kernel:  [<ffffffff80248600>] debug_mutex_init+0x0/0x45
May 25 07:06:41 vt kernel:  [<ffffffff8024c115>] sys_exit_group+0x12/0x14
May 25 07:06:41 vt kernel:  [<ffffffff8025c11e>] system_call+0x7e/0x83
May 25 07:06:41 vt kernel: 
May 25 07:06:41 vt kernel: ffff81007c599a70: redzone 1:0x5a2cf071, redzone
2:0x5a2cf071.
May 25 07:06:41 vt kernel: slab error in verify_redzone_free(): cache `size-32':
double free detected
May 25 07:06:41 vt kernel: 
May 25 07:06:41 vt kernel: Call Trace:
May 25 07:06:41 vt kernel:  [<ffffffff802d93e9>] __slab_error+0x24/0x26
May 25 07:06:41 vt kernel:  [<ffffffff80231fcc>] cache_free_debugcheck+0x110/0x222
May 25 07:06:41 vt kernel:  [<ffffffff8845dbd5>] :oprofile:free_msrs+0x28/0x66
May 25 07:06:41 vt kernel:  [<ffffffff8020b28d>] kfree+0xd7/0x27e
May 25 07:06:41 vt kernel:  [<ffffffff8845dbd5>] :oprofile:free_msrs+0x28/0x66
May 25 07:06:41 vt kernel:  [<ffffffff8845dc47>] :oprofile:nmi_shutdown+0x34/0x36
May 25 07:06:41 vt kernel:  [<ffffffff8845c070>]
:oprofile:oprofile_shutdown+0x23/0x46
May 25 07:06:41 vt kernel:  [<ffffffff8845cdf6>]
:oprofile:event_buffer_release+0x16/0x46
May 25 07:06:41 vt kernel:  [<ffffffff8021237d>] __fput+0xca/0x190
May 25 07:06:41 vt kernel:  [<ffffffff8022d9a7>] fput+0x14/0x16
May 25 07:06:41 vt kernel:  [<ffffffff80224656>] filp_close+0x66/0x71
May 25 07:06:41 vt kernel:  [<ffffffff80239632>] put_files_struct+0x6d/0xc0
May 25 07:06:41 vt kernel:  [<ffffffff80215126>] do_exit+0x296/0x80d
May 25 07:06:41 vt kernel:  [<ffffffff80248600>] debug_mutex_init+0x0/0x45
May 25 07:06:41 vt kernel:  [<ffffffff8024c115>] sys_exit_group+0x12/0x14
May 25 07:06:41 vt kernel:  [<ffffffff8025c11e>] system_call+0x7e/0x83
May 25 07:06:41 vt kernel: 
May 25 07:06:41 vt kernel: ffff8100703e4d10: redzone 1:0x5a2cf071, redzone
2:0x5a2cf071.
May 25 07:06:41 vt kernel: slab error in verify_redzone_free(): cache `size-32':
double free detected
May 25 07:06:41 vt kernel: 
May 25 07:06:41 vt kernel: Call Trace:
May 25 07:06:41 vt kernel:  [<ffffffff802d93e9>] __slab_error+0x24/0x26
May 25 07:06:41 vt kernel:  [<ffffffff80231fcc>] cache_free_debugcheck+0x110/0x222
May 25 07:06:41 vt kernel:  [<ffffffff8845dbec>] :oprofile:free_msrs+0x3f/0x66
May 25 07:06:41 vt kernel:  [<ffffffff8020b28d>] kfree+0xd7/0x27e
May 25 07:06:41 vt kernel:  [<ffffffff8845dbec>] :oprofile:free_msrs+0x3f/0x66
May 25 07:06:41 vt kernel:  [<ffffffff8845dc47>] :oprofile:nmi_shutdown+0x34/0x36
May 25 07:06:41 vt kernel:  [<ffffffff8845c070>]
:oprofile:oprofile_shutdown+0x23/0x46
May 25 07:06:41 vt kernel:  [<ffffffff8845cdf6>]
:oprofile:event_buffer_release+0x16/0x46
May 25 07:06:41 vt kernel:  [<ffffffff8021237d>] __fput+0xca/0x190
May 25 07:06:41 vt kernel:  [<ffffffff8022d9a7>] fput+0x14/0x16
May 25 07:06:41 vt kernel:  [<ffffffff80224656>] filp_close+0x66/0x71
May 25 07:06:41 vt kernel:  [<ffffffff80239632>] put_files_struct+0x6d/0xc0
May 25 07:06:41 vt kernel:  [<ffffffff80215126>] do_exit+0x296/0x80d
May 25 07:06:41 vt kernel:  [<ffffffff80248600>] debug_mutex_init+0x0/0x45
May 25 07:06:41 vt kernel:  [<ffffffff8024c115>] sys_exit_group+0x12/0x14
May 25 07:06:41 vt kernel:  [<ffffffff8025c11e>] system_call+0x7e/0x83
May 25 07:06:41 vt kernel: 
May 25 07:06:41 vt kernel: ffff81007c599a70: redzone 1:0x5a2cf071, redzone
2:0x5a2cf071.
May 25 07:06:41 vt kernel: slab error in verify_redzone_free(): cache `size-32':
double free detected
May 25 07:06:41 vt kernel: 
May 25 07:06:41 vt kernel: Call Trace:
May 25 07:06:41 vt kernel:  [<ffffffff802d93e9>] __slab_error+0x24/0x26
May 25 07:06:41 vt kernel:  [<ffffffff80231fcc>] cache_free_debugcheck+0x110/0x222
May 25 07:06:41 vt kernel:  [<ffffffff8845dbd5>] :oprofile:free_msrs+0x28/0x66
May 25 07:06:41 vt kernel:  [<ffffffff8020b28d>] kfree+0xd7/0x27e
May 25 07:06:41 vt kernel:  [<ffffffff8845dbd5>] :oprofile:free_msrs+0x28/0x66
May 25 07:06:41 vt kernel:  [<ffffffff8845dc47>] :oprofile:nmi_shutdown+0x34/0x36
May 25 07:06:41 vt kernel:  [<ffffffff8845c070>]
:oprofile:oprofile_shutdown+0x23/0x46
May 25 07:06:41 vt kernel:  [<ffffffff8845cdf6>]
:oprofile:event_buffer_release+0x16/0x46
May 25 07:06:41 vt kernel:  [<ffffffff8021237d>] __fput+0xca/0x190
May 25 07:06:41 vt kernel:  [<ffffffff8022d9a7>] fput+0x14/0x16
May 25 07:06:41 vt kernel:  [<ffffffff80224656>] filp_close+0x66/0x71
May 25 07:06:41 vt kernel:  [<ffffffff80239632>] put_files_struct+0x6d/0xc0
May 25 07:06:41 vt kernel:  [<ffffffff80215126>] do_exit+0x296/0x80d
May 25 07:06:41 vt kernel:  [<ffffffff80248600>] debug_mutex_init+0x0/0x45
May 25 07:06:41 vt kernel:  [<ffffffff8024c115>] sys_exit_group+0x12/0x14
May 25 07:06:41 vt kernel:  [<ffffffff8025c11e>] system_call+0x7e/0x83
May 25 07:06:41 vt kernel: 
May 25 07:06:41 vt kernel: ffff8100703e4d10: redzone 1:0x5a2cf071, redzone
2:0x5a2cf071.
May 25 07:06:41 vt kernel: slab error in verify_redzone_free(): cache `size-32':
double free detected
May 25 07:06:41 vt kernel: 
May 25 07:06:41 vt kernel: Call Trace:
May 25 07:06:41 vt kernel:  [<ffffffff802d93e9>] __slab_error+0x24/0x26
May 25 07:06:41 vt kernel:  [<ffffffff80231fcc>] cache_free_debugcheck+0x110/0x222
May 25 07:06:41 vt kernel:  [<ffffffff8845dbec>] :oprofile:free_msrs+0x3f/0x66
May 25 07:06:41 vt kernel:  [<ffffffff8020b28d>] kfree+0xd7/0x27e
May 25 07:06:41 vt kernel:  [<ffffffff8845dbec>] :oprofile:free_msrs+0x3f/0x66
May 25 07:06:41 vt kernel:  [<ffffffff8845dc47>] :oprofile:nmi_shutdown+0x34/0x36
May 25 07:06:41 vt kernel:  [<ffffffff8845c070>]
:oprofile:oprofile_shutdown+0x23/0x46
May 25 07:06:41 vt kernel:  [<ffffffff8845cdf6>]
:oprofile:event_buffer_release+0x16/0x46
May 25 07:06:41 vt kernel:  [<ffffffff8021237d>] __fput+0xca/0x190
May 25 07:06:41 vt kernel:  [<ffffffff8022d9a7>] fput+0x14/0x16
May 25 07:06:41 vt kernel:  [<ffffffff80224656>] filp_close+0x66/0x71
May 25 07:06:41 vt kernel:  [<ffffffff80239632>] put_files_struct+0x6d/0xc0
May 25 07:06:41 vt kernel:  [<ffffffff80215126>] do_exit+0x296/0x80d
May 25 07:06:41 vt kernel:  [<ffffffff80248600>] debug_mutex_init+0x0/0x45
May 25 07:06:41 vt kernel:  [<ffffffff8024c115>] sys_exit_group+0x12/0x14
May 25 07:06:41 vt kernel:  [<ffffffff8025c11e>] system_call+0x7e/0x83
May 25 07:06:41 vt kernel: 
May 25 07:06:41 vt kernel: ffff81007c599a70: redzone 1:0x5a2cf071, redzone
2:0x5a2cf071.
May 25 07:06:42 vt kernel: Slab corruption (Not tainted): size-32
start=ffff81007c599a78, len=32
May 25 07:06:42 vt kernel: Redzone: 0x170fc2a5/0x170fc2a5.
May 25 07:06:42 vt kernel: Last user: [<ffffffff8032b765>](ebitmap_cpy+0x40/0x8b)
May 25 07:06:42 vt kernel: 
May 25 07:06:42 vt kernel: Call Trace:
May 25 07:06:42 vt kernel:  [<ffffffff8020716d>] check_poison_obj+0x95/0x20c
May 25 07:06:42 vt kernel:  [<ffffffff8032b765>] ebitmap_cpy+0x40/0x8b
May 25 07:06:42 vt kernel:  [<ffffffff8032b765>] ebitmap_cpy+0x40/0x8b
May 25 07:06:42 vt kernel:  [<ffffffff8020c8d5>]
cache_alloc_debugcheck_after+0x35/0x1db
May 25 07:06:42 vt kernel:  [<ffffffff8032b765>] ebitmap_cpy+0x40/0x8b
May 25 07:06:42 vt kernel:  [<ffffffff802da188>] kmem_cache_zalloc+0x115/0x140
May 25 07:06:42 vt kernel:  [<ffffffff8032b765>] ebitmap_cpy+0x40/0x8b
May 25 07:06:42 vt kernel:  [<ffffffff8033377a>] mls_compute_sid+0x17b/0x19a
May 25 07:06:42 vt kernel:  [<ffffffff80330cfa>] security_compute_sid+0x68/0x346
May 25 07:06:42 vt kernel:  [<ffffffff80330e5c>] security_compute_sid+0x1ca/0x346
May 25 07:06:42 vt kernel:  [<ffffffff802a28cf>] trace_hardirqs_on+0x136/0x15a
May 25 07:06:42 vt kernel:  [<ffffffff802a2a13>]
debug_check_no_locks_freed+0x120/0x12f
May 25 07:06:42 vt kernel:  [<ffffffff802a2a13>]
debug_check_no_locks_freed+0x120/0x12f
May 25 07:06:42 vt kernel:  [<ffffffff80331018>] security_transition_sid+0x14/0x16
May 25 07:06:42 vt kernel:  [<ffffffff803266b2>]
selinux_bprm_set_security+0xb5/0x198
May 25 07:06:42 vt kernel:  [<ffffffff80323af2>]
selinux_bprm_alloc_security+0x1d/0x45
May 25 07:06:42 vt kernel:  [<ffffffff8020c998>]
cache_alloc_debugcheck_after+0xf8/0x1db
May 25 07:06:42 vt kernel:  [<ffffffff80323af2>]
selinux_bprm_alloc_security+0x1d/0x45
May 25 07:06:42 vt kernel:  [<ffffffff802da188>] kmem_cache_zalloc+0x115/0x140
May 25 07:06:42 vt kernel:  [<ffffffff8023e3f9>] prepare_binprm+0xc6/0xf4
May 25 07:06:42 vt kernel:  [<ffffffff8023fad5>] do_execve+0x12c/0x261
May 25 07:06:42 vt kernel:  [<ffffffff802536d1>] sys_execve+0x36/0x4d
May 25 07:06:42 vt kernel:  [<ffffffff8025c517>] stub_execve+0x67/0xb0
May 25 07:06:42 vt kernel: 
May 25 07:06:42 vt kernel: 000: 40 00 00 00 00 00 00 00 ff ff ff ff ff ff ff ff
May 25 07:06:42 vt kernel: 010: 18 4d 3e 70 00 81 ff ff 00 00 00 00 00 00 00 00
May 25 07:06:42 vt kernel: Prev obj: start=ffff81007c599a40, len=32
May 25 07:06:42 vt kernel: Redzone: 0x170fc2a5/0x170fc2a5.
May 25 07:06:42 vt kernel: Last user:
[<ffffffff802a9ba4>](sys_init_module+0x1450/0x172f)
May 25 07:06:42 vt kernel: 000: 2e 73 74 72 74 61 62 00 5a 5a 5a 5a 5a 5a 5a 5a
May 25 07:06:42 vt kernel: 010: 5a 5a 5a 5a 5a 5a 5a 5a 5a 5a 5a 5a 5a 5a 5a a5
May 25 07:06:42 vt kernel: Next obj: start=ffff81007c599ab0, len=32
May 25 07:06:42 vt kernel: Redzone: 0x5a2cf071/0x5a2cf071.
May 25 07:06:42 vt kernel: Last user:
[<ffffffff803237cc>](selinux_file_free_security+0x1e/0x20)
May 25 07:06:42 vt kernel: 000: 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b
May 25 07:06:42 vt kernel: 010: 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b a5
May 25 07:06:42 vt kernel: slab error in cache_alloc_debugcheck_after(): cache
`size-32': double free, or memory outside object was overwritten
May 25 07:06:42 vt kernel: 
May 25 07:06:42 vt kernel: Call Trace:
May 25 07:06:42 vt kernel:  [<ffffffff802d93e9>] __slab_error+0x24/0x26
May 25 07:06:42 vt kernel:  [<ffffffff8020c94b>]
cache_alloc_debugcheck_after+0xab/0x1db
May 25 07:06:42 vt kernel:  [<ffffffff8032b765>] ebitmap_cpy+0x40/0x8b
May 25 07:06:42 vt kernel:  [<ffffffff802da188>] kmem_cache_zalloc+0x115/0x140
May 25 07:06:42 vt kernel:  [<ffffffff8032b765>] ebitmap_cpy+0x40/0x8b
May 25 07:06:42 vt kernel:  [<ffffffff8033377a>] mls_compute_sid+0x17b/0x19a
May 25 07:06:42 vt kernel:  [<ffffffff80330cfa>] security_compute_sid+0x68/0x346
May 25 07:06:42 vt kernel:  [<ffffffff80330e5c>] security_compute_sid+0x1ca/0x346
May 25 07:06:42 vt kernel:  [<ffffffff802a28cf>] trace_hardirqs_on+0x136/0x15a
May 25 07:06:42 vt kernel:  [<ffffffff802a2a13>]
debug_check_no_locks_freed+0x120/0x12f
May 25 07:06:42 vt kernel:  [<ffffffff802a2a13>]
debug_check_no_locks_freed+0x120/0x12f
May 25 07:06:42 vt kernel:  [<ffffffff80331018>] security_transition_sid+0x14/0x16
May 25 07:06:42 vt kernel:  [<ffffffff803266b2>]
selinux_bprm_set_security+0xb5/0x198
May 25 07:06:42 vt kernel:  [<ffffffff80323af2>]
selinux_bprm_alloc_security+0x1d/0x45
May 25 07:06:42 vt kernel:  [<ffffffff8020c998>]
cache_alloc_debugcheck_after+0xf8/0x1db
May 25 07:06:42 vt kernel:  [<ffffffff80323af2>]
selinux_bprm_alloc_security+0x1d/0x45
May 25 07:06:42 vt kernel:  [<ffffffff802da188>] kmem_cache_zalloc+0x115/0x140
May 25 07:06:42 vt kernel:  [<ffffffff8023e3f9>] prepare_binprm+0xc6/0xf4
May 25 07:06:42 vt kernel:  [<ffffffff8023fad5>] do_execve+0x12c/0x261
May 25 07:06:42 vt kernel:  [<ffffffff802536d1>] sys_execve+0x36/0x4d
May 25 07:06:42 vt kernel:  [<ffffffff8025c517>] stub_execve+0x67/0xb0
May 25 07:06:42 vt kernel: 
May 25 07:06:42 vt kernel: ffff81007c599a70: redzone 1:0x170fc2a5, redzone
2:0x170fc2a5
May 25 07:06:42 vt kernel: Slab corruption (Not tainted): size-32
start=ffff8100703e4d18, len=32
May 25 07:06:42 vt kernel: Redzone: 0x170fc2a5/0x170fc2a5.
May 25 07:06:42 vt kernel: Last user: [<ffffffff8032b765>](ebitmap_cpy+0x40/0x8b)
May 25 07:06:42 vt kernel: 
May 25 07:06:42 vt kernel: Call Trace:
May 25 07:06:42 vt kernel:  [<ffffffff8020716d>] check_poison_obj+0x95/0x20c
May 25 07:06:42 vt kernel:  [<ffffffff8032b765>] ebitmap_cpy+0x40/0x8b
May 25 07:06:42 vt last message repeated 2 times
May 25 07:06:42 vt kernel:  [<ffffffff8020c8d5>]
cache_alloc_debugcheck_after+0x35/0x1db
May 25 07:06:42 vt kernel:  [<ffffffff8032b765>] ebitmap_cpy+0x40/0x8b
May 25 07:06:42 vt kernel:  [<ffffffff802da188>] kmem_cache_zalloc+0x115/0x140
May 25 07:06:42 vt kernel:  [<ffffffff8032b765>] ebitmap_cpy+0x40/0x8b
May 25 07:06:42 vt kernel:  [<ffffffff8033377a>] mls_compute_sid+0x17b/0x19a
May 25 07:06:42 vt kernel:  [<ffffffff80330cfa>] security_compute_sid+0x68/0x346
May 25 07:06:42 vt kernel:  [<ffffffff80330e5c>] security_compute_sid+0x1ca/0x346
May 25 07:06:42 vt kernel:  [<ffffffff802a28cf>] trace_hardirqs_on+0x136/0x15a
May 25 07:06:42 vt kernel:  [<ffffffff802a2a13>]
debug_check_no_locks_freed+0x120/0x12f
May 25 07:06:42 vt kernel:  [<ffffffff802a2a13>]
debug_check_no_locks_freed+0x120/0x12f
May 25 07:06:42 vt kernel:  [<ffffffff80331018>] security_transition_sid+0x14/0x16
May 25 07:06:42 vt kernel:  [<ffffffff803266b2>]
selinux_bprm_set_security+0xb5/0x198
May 25 07:06:42 vt kernel:  [<ffffffff80323af2>]
selinux_bprm_alloc_security+0x1d/0x45
May 25 07:06:42 vt kernel:  [<ffffffff8020c998>]
cache_alloc_debugcheck_after+0xf8/0x1db
May 25 07:06:42 vt kernel:  [<ffffffff80323af2>]
selinux_bprm_alloc_security+0x1d/0x45
May 25 07:06:42 vt kernel:  [<ffffffff802da188>] kmem_cache_zalloc+0x115/0x140
May 25 07:06:42 vt kernel:  [<ffffffff8023e3f9>] prepare_binprm+0xc6/0xf4
May 25 07:06:42 vt kernel:  [<ffffffff8023fad5>] do_execve+0x12c/0x261
May 25 07:06:42 vt kernel:  [<ffffffff802536d1>] sys_execve+0x36/0x4d
May 25 07:06:42 vt kernel:  [<ffffffff8025c517>] stub_execve+0x67/0xb0
May 25 07:06:42 vt kernel: 
May 25 07:06:42 vt kernel: 000: 80 00 00 00 00 00 00 00 ff ff ff ff ff ff ff ff
May 25 07:06:42 vt kernel: 010: 78 9a 59 7c 00 81 ff ff 00 00 00 00 00 00 00 00
May 25 07:06:42 vt kernel: Prev obj: start=ffff8100703e4ce0, len=32
May 25 07:06:42 vt kernel: Redzone: 0x5a2cf071/0x5a2cf071.
May 25 07:06:42 vt kernel: Last user:
[<ffffffff8032b63a>](ebitmap_destroy+0x1d/0x3b)
May 25 07:06:42 vt kernel: 000: 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b
May 25 07:06:42 vt kernel: 010: 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b a5
May 25 07:06:42 vt kernel: Next obj: start=ffff8100703e4d50, len=32
May 25 07:06:42 vt kernel: Redzone: 0x5a2cf071/0x5a2cf071.
May 25 07:06:42 vt kernel: Last user:
[<ffffffff8032b63a>](ebitmap_destroy+0x1d/0x3b)
May 25 07:06:42 vt kernel: 000: 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b
May 25 07:06:42 vt kernel: 010: 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b a5
May 25 07:06:42 vt kernel: slab error in cache_alloc_debugcheck_after(): cache
`size-32': double free, or memory outside object was overwritten
May 25 07:06:42 vt kernel: 
May 25 07:06:42 vt kernel: Call Trace:
May 25 07:06:42 vt kernel:  [<ffffffff802d93e9>] __slab_error+0x24/0x26
May 25 07:06:42 vt kernel:  [<ffffffff8020c94b>]
cache_alloc_debugcheck_after+0xab/0x1db
May 25 07:06:42 vt kernel:  [<ffffffff8032b765>] ebitmap_cpy+0x40/0x8b
May 25 07:06:42 vt kernel:  [<ffffffff802da188>] kmem_cache_zalloc+0x115/0x140
May 25 07:06:42 vt kernel:  [<ffffffff8032b765>] ebitmap_cpy+0x40/0x8b
May 25 07:06:42 vt kernel:  [<ffffffff8033377a>] mls_compute_sid+0x17b/0x19a
May 25 07:06:42 vt kernel:  [<ffffffff80330cfa>] security_compute_sid+0x68/0x346
May 25 07:06:42 vt kernel:  [<ffffffff80330e5c>] security_compute_sid+0x1ca/0x346
May 25 07:06:42 vt kernel:  [<ffffffff802a28cf>] trace_hardirqs_on+0x136/0x15a
May 25 07:06:42 vt kernel:  [<ffffffff802a2a13>]
debug_check_no_locks_freed+0x120/0x12f
May 25 07:06:42 vt kernel:  [<ffffffff802a2a13>]
debug_check_no_locks_freed+0x120/0x12f
May 25 07:06:42 vt kernel:  [<ffffffff80331018>] security_transition_sid+0x14/0x16
May 25 07:06:42 vt kernel:  [<ffffffff803266b2>]
selinux_bprm_set_security+0xb5/0x198
May 25 07:06:42 vt kernel:  [<ffffffff80323af2>]
selinux_bprm_alloc_security+0x1d/0x45
May 25 07:06:42 vt kernel:  [<ffffffff8020c998>]
cache_alloc_debugcheck_after+0xf8/0x1db
May 25 07:06:42 vt kernel:  [<ffffffff80323af2>]
selinux_bprm_alloc_security+0x1d/0x45
May 25 07:06:42 vt kernel:  [<ffffffff802da188>] kmem_cache_zalloc+0x115/0x140
May 25 07:06:42 vt kernel:  [<ffffffff8023e3f9>] prepare_binprm+0xc6/0xf4
May 25 07:06:42 vt kernel:  [<ffffffff8023fad5>] do_execve+0x12c/0x261
May 25 07:06:42 vt kernel:  [<ffffffff802536d1>] sys_execve+0x36/0x4d
May 25 07:06:42 vt kernel:  [<ffffffff8025c517>] stub_execve+0x67/0xb0
May 25 07:06:42 vt kernel: 
May 25 07:06:42 vt kernel: ffff8100703e4d10: redzone 1:0x170fc2a5, redzone
2:0x170fc2a5
May 25 07:06:42 vt kernel: Slab corruption (Not tainted): size-32
start=ffff81007c599a78, len=32
May 25 07:06:42 vt kernel: Redzone: 0x170fc2a5/0x170fc2a5.
May 25 07:06:42 vt kernel: Last user: [<ffffffff8032b765>](ebitmap_cpy+0x40/0x8b)
May 25 07:06:42 vt kernel: 
May 25 07:06:42 vt kernel: Call Trace:
May 25 07:06:42 vt kernel:  [<ffffffff8020716d>] check_poison_obj+0x95/0x20c
May 25 07:06:42 vt kernel:  [<ffffffff8032b765>] ebitmap_cpy+0x40/0x8b
May 25 07:06:42 vt last message repeated 2 times
May 25 07:06:42 vt kernel:  [<ffffffff8020c8d5>]
cache_alloc_debugcheck_after+0x35/0x1db
May 25 07:06:42 vt kernel:  [<ffffffff8032b765>] ebitmap_cpy+0x40/0x8b
May 25 07:06:42 vt kernel:  [<ffffffff802da188>] kmem_cache_zalloc+0x115/0x140
May 25 07:06:42 vt kernel:  [<ffffffff8032b765>] ebitmap_cpy+0x40/0x8b
May 25 07:06:42 vt kernel:  [<ffffffff8033377a>] mls_compute_sid+0x17b/0x19a
May 25 07:06:42 vt kernel:  [<ffffffff80330cfa>] security_compute_sid+0x68/0x346
May 25 07:06:42 vt kernel:  [<ffffffff80330e5c>] security_compute_sid+0x1ca/0x346
May 25 07:06:42 vt kernel:  [<ffffffff802a28cf>] trace_hardirqs_on+0x136/0x15a
May 25 07:06:42 vt kernel:  [<ffffffff802a2a13>]
debug_check_no_locks_freed+0x120/0x12f
May 25 07:06:42 vt kernel:  [<ffffffff802a2a13>]
debug_check_no_locks_freed+0x120/0x12f
May 25 07:06:42 vt kernel:  [<ffffffff80331018>] security_transition_sid+0x14/0x16
May 25 07:06:42 vt kernel:  [<ffffffff803266b2>]
selinux_bprm_set_security+0xb5/0x198
May 25 07:06:42 vt kernel:  [<ffffffff80323af2>]
selinux_bprm_alloc_security+0x1d/0x45
May 25 07:06:42 vt kernel:  [<ffffffff8020c998>]
cache_alloc_debugcheck_after+0xf8/0x1db
May 25 07:06:42 vt kernel:  [<ffffffff80323af2>]
selinux_bprm_alloc_security+0x1d/0x45
May 25 07:06:42 vt kernel:  [<ffffffff802da188>] kmem_cache_zalloc+0x115/0x140
May 25 07:06:42 vt kernel:  [<ffffffff8023e3f9>] prepare_binprm+0xc6/0xf4
May 25 07:06:42 vt kernel:  [<ffffffff8023fad5>] do_execve+0x12c/0x261
May 25 07:06:42 vt kernel:  [<ffffffff802536d1>] sys_execve+0x36/0x4d
May 25 07:06:42 vt kernel:  [<ffffffff8025c517>] stub_execve+0x67/0xb0
May 25 07:06:42 vt kernel: 
May 25 07:06:42 vt kernel: 000: c0 00 00 00 00 00 00 00 ff ff ff ff ff ff ff ff
May 25 07:06:42 vt kernel: 010: 18 4d 3e 70 00 81 ff ff 00 00 00 00 00 00 00 00
May 25 07:06:42 vt kernel: Prev obj: start=ffff81007c599a40, len=32
May 25 07:06:42 vt kernel: Redzone: 0x170fc2a5/0x170fc2a5.
May 25 07:06:42 vt kernel: Last user:
[<ffffffff802a9ba4>](sys_init_module+0x1450/0x172f)
May 25 07:06:42 vt kernel: 000: 2e 73 74 72 74 61 62 00 5a 5a 5a 5a 5a 5a 5a 5a
May 25 07:06:42 vt kernel: 010: 5a 5a 5a 5a 5a 5a 5a 5a 5a 5a 5a 5a 5a 5a 5a a5
May 25 07:06:42 vt kernel: Next obj: start=ffff81007c599ab0, len=32
May 25 07:06:42 vt kernel: Redzone: 0x5a2cf071/0x5a2cf071.
May 25 07:06:42 vt kernel: Last user:
[<ffffffff803237cc>](selinux_file_free_security+0x1e/0x20)
May 25 07:06:42 vt kernel: 000: 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b
May 25 07:06:42 vt kernel: 010: 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b a5
May 25 07:06:42 vt kernel: slab error in cache_alloc_debugcheck_after(): cache
`size-32': double free, or memory outside object was overwritten
May 25 07:06:42 vt kernel: 
May 25 07:06:42 vt kernel: Call Trace:
May 25 07:06:42 vt kernel:  [<ffffffff802d93e9>] __slab_error+0x24/0x26
May 25 07:06:42 vt kernel:  [<ffffffff8020c94b>]
cache_alloc_debugcheck_after+0xab/0x1db
May 25 07:06:42 vt kernel:  [<ffffffff8032b765>] ebitmap_cpy+0x40/0x8b
May 25 07:06:42 vt kernel:  [<ffffffff802da188>] kmem_cache_zalloc+0x115/0x140
May 25 07:06:42 vt kernel:  [<ffffffff8032b765>] ebitmap_cpy+0x40/0x8b
May 25 07:06:42 vt kernel:  [<ffffffff8033377a>] mls_compute_sid+0x17b/0x19a
May 25 07:06:42 vt kernel:  [<ffffffff80330cfa>] security_compute_sid+0x68/0x346
May 25 07:06:42 vt kernel:  [<ffffffff80330e5c>] security_compute_sid+0x1ca/0x346
May 25 07:06:42 vt kernel:  [<ffffffff802a28cf>] trace_hardirqs_on+0x136/0x15a
May 25 07:06:42 vt kernel:  [<ffffffff802a2a13>]
debug_check_no_locks_freed+0x120/0x12f
May 25 07:06:42 vt kernel:  [<ffffffff802a2a13>]
debug_check_no_locks_freed+0x120/0x12f
May 25 07:06:42 vt kernel:  [<ffffffff80331018>] security_transition_sid+0x14/0x16
May 25 07:06:42 vt kernel:  [<ffffffff803266b2>]
selinux_bprm_set_security+0xb5/0x198
May 25 07:06:42 vt kernel:  [<ffffffff80323af2>]
selinux_bprm_alloc_security+0x1d/0x45
May 25 07:06:42 vt kernel:  [<ffffffff8020c998>]
cache_alloc_debugcheck_after+0xf8/0x1db
May 25 07:06:42 vt kernel:  [<ffffffff80323af2>]
selinux_bprm_alloc_security+0x1d/0x45
May 25 07:06:42 vt kernel:  [<ffffffff802da188>] kmem_cache_zalloc+0x115/0x140
May 25 07:06:42 vt kernel:  [<ffffffff8023e3f9>] prepare_binprm+0xc6/0xf4
May 25 07:06:42 vt kernel:  [<ffffffff8023fad5>] do_execve+0x12c/0x261
May 25 07:06:42 vt kernel:  [<ffffffff802536d1>] sys_execve+0x36/0x4d
May 25 07:06:42 vt kernel:  [<ffffffff8025c517>] stub_execve+0x67/0xb0
May 25 07:06:42 vt kernel: 
May 25 07:06:42 vt kernel: ffff81007c599a70: redzone 1:0x170fc2a5, redzone
2:0x170fc2a5
May 25 07:06:42 vt kernel: Slab corruption (Not tainted): size-32
start=ffff8100703e4d18, len=32
May 25 07:06:42 vt kernel: Redzone: 0x170fc2a5/0x170fc2a5.
May 25 07:06:42 vt kernel: Last user: [<ffffffff8032b765>](ebitmap_cpy+0x40/0x8b)
May 25 07:06:42 vt kernel: 
May 25 07:06:42 vt kernel: Call Trace:
May 25 07:06:42 vt kernel:  [<ffffffff8020716d>] check_poison_obj+0x95/0x20c
May 25 07:06:42 vt kernel:  [<ffffffff8032b765>] ebitmap_cpy+0x40/0x8b
May 25 07:06:42 vt last message repeated 2 times
May 25 07:06:42 vt kernel:  [<ffffffff8020c8d5>]
cache_alloc_debugcheck_after+0x35/0x1db
May 25 07:06:42 vt kernel:  [<ffffffff8032b765>] ebitmap_cpy+0x40/0x8b
May 25 07:06:42 vt kernel:  [<ffffffff802da188>] kmem_cache_zalloc+0x115/0x140
May 25 07:06:42 vt kernel:  [<ffffffff8032b765>] ebitmap_cpy+0x40/0x8b
May 25 07:06:42 vt kernel:  [<ffffffff8033377a>] mls_compute_sid+0x17b/0x19a
May 25 07:06:42 vt kernel:  [<ffffffff80330cfa>] security_compute_sid+0x68/0x346
May 25 07:06:42 vt kernel:  [<ffffffff80330e5c>] security_compute_sid+0x1ca/0x346
May 25 07:06:42 vt kernel:  [<ffffffff802a28cf>] trace_hardirqs_on+0x136/0x15a
May 25 07:06:42 vt kernel:  [<ffffffff802a2a13>]
debug_check_no_locks_freed+0x120/0x12f
May 25 07:06:42 vt kernel:  [<ffffffff802a2a13>]
debug_check_no_locks_freed+0x120/0x12f
May 25 07:06:42 vt kernel:  [<ffffffff80331018>] security_transition_sid+0x14/0x16
May 25 07:06:42 vt kernel:  [<ffffffff803266b2>]
selinux_bprm_set_security+0xb5/0x198
May 25 07:06:42 vt kernel:  [<ffffffff80323af2>]
selinux_bprm_alloc_security+0x1d/0x45
May 25 07:06:42 vt kernel:  [<ffffffff8020c998>]
cache_alloc_debugcheck_after+0xf8/0x1db
May 25 07:06:42 vt kernel:  [<ffffffff80323af2>]
selinux_bprm_alloc_security+0x1d/0x45
May 25 07:06:42 vt kernel:  [<ffffffff802da188>] kmem_cache_zalloc+0x115/0x140
May 25 07:06:42 vt kernel:  [<ffffffff8023e3f9>] prepare_binprm+0xc6/0xf4
May 25 07:06:42 vt kernel:  [<ffffffff8023fad5>] do_execve+0x12c/0x261
May 25 07:06:42 vt kernel:  [<ffffffff802536d1>] sys_execve+0x36/0x4d
May 25 07:06:42 vt kernel:  [<ffffffff8025c517>] stub_execve+0x67/0xb0
May 25 07:06:42 vt kernel: 
May 25 07:06:42 vt kernel: 000: 00 01 00 00 00 00 00 00 ff ff ff ff ff ff ff ff
May 25 07:06:42 vt kernel: 010: 78 9a 59 7c 00 81 ff ff 00 00 00 00 00 00 00 00
May 25 07:06:42 vt kernel: Prev obj: start=ffff8100703e4ce0, len=32
May 25 07:06:42 vt kernel: Redzone: 0x5a2cf071/0x5a2cf071.
May 25 07:06:42 vt kernel: Last user:
[<ffffffff8032b63a>](ebitmap_destroy+0x1d/0x3b)
May 25 07:06:42 vt kernel: 000: 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b
May 25 07:06:42 vt kernel: 010: 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b a5
May 25 07:06:42 vt kernel: Next obj: start=ffff8100703e4d50, len=32
May 25 07:06:42 vt kernel: Redzone: 0x5a2cf071/0x5a2cf071.
May 25 07:06:42 vt kernel: Last user:
[<ffffffff8032b63a>](ebitmap_destroy+0x1d/0x3b)
May 25 07:06:42 vt kernel: 000: 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b
May 25 07:06:42 vt kernel: 010: 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b a5
May 25 07:06:42 vt kernel: slab error in cache_alloc_debugcheck_after(): cache
`size-32': double free, or memory outside object was overwritten
May 25 07:06:42 vt kernel: 
May 25 07:06:42 vt kernel: Call Trace:
May 25 07:06:42 vt kernel:  [<ffffffff802d93e9>] __slab_error+0x24/0x26
May 25 07:06:42 vt kernel:  [<ffffffff8020c94b>]
cache_alloc_debugcheck_after+0xab/0x1db
May 25 07:06:42 vt kernel:  [<ffffffff8032b765>] ebitmap_cpy+0x40/0x8b
May 25 07:06:42 vt kernel:  [<ffffffff802da188>] kmem_cache_zalloc+0x115/0x140
May 25 07:06:42 vt kernel:  [<ffffffff8032b765>] ebitmap_cpy+0x40/0x8b
May 25 07:06:42 vt kernel:  [<ffffffff8033377a>] mls_compute_sid+0x17b/0x19a
May 25 07:06:42 vt kernel:  [<ffffffff80330cfa>] security_compute_sid+0x68/0x346
May 25 07:06:42 vt kernel:  [<ffffffff80330e5c>] security_compute_sid+0x1ca/0x346
May 25 07:06:42 vt kernel:  [<ffffffff802a28cf>] trace_hardirqs_on+0x136/0x15a
May 25 07:06:42 vt kernel:  [<ffffffff802a2a13>]
debug_check_no_locks_freed+0x120/0x12f
May 25 07:06:42 vt kernel:  [<ffffffff802a2a13>]
debug_check_no_locks_freed+0x120/0x12f
May 25 07:06:42 vt kernel:  [<ffffffff80331018>] security_transition_sid+0x14/0x16
May 25 07:06:42 vt kernel:  [<ffffffff803266b2>]
selinux_bprm_set_security+0xb5/0x198
May 25 07:06:42 vt kernel:  [<ffffffff80323af2>]
selinux_bprm_alloc_security+0x1d/0x45
May 25 07:06:42 vt kernel:  [<ffffffff8020c998>]
cache_alloc_debugcheck_after+0xf8/0x1db
May 25 07:06:42 vt kernel:  [<ffffffff80323af2>]
selinux_bprm_alloc_security+0x1d/0x45
May 25 07:06:42 vt kernel:  [<ffffffff802da188>] kmem_cache_zalloc+0x115/0x140
May 25 07:06:42 vt kernel:  [<ffffffff8023e3f9>] prepare_binprm+0xc6/0xf4
May 25 07:06:42 vt kernel:  [<ffffffff8023fad5>] do_execve+0x12c/0x261
May 25 07:06:42 vt kernel:  [<ffffffff802536d1>] sys_execve+0x36/0x4d
May 25 07:06:42 vt kernel:  [<ffffffff8025c517>] stub_execve+0x67/0xb0
May 25 07:06:42 vt kernel: 
May 25 07:06:42 vt kernel: ffff8100703e4d10: redzone 1:0x170fc2a5, redzone
2:0x170fc2a5
May 25 07:06:42 vt kernel: Slab corruption (Not tainted): size-32
start=ffff81007c599a78, len=32
May 25 07:06:42 vt kernel: Redzone: 0x170fc2a5/0x170fc2a5.
May 25 07:06:42 vt kernel: Last user: [<ffffffff8032b765>](ebitmap_cpy+0x40/0x8b)
May 25 07:06:42 vt kernel: 
May 25 07:06:42 vt kernel: Call Trace:
May 25 07:06:42 vt kernel:  [<ffffffff8020716d>] check_poison_obj+0x95/0x20c
May 25 07:06:42 vt kernel:  [<ffffffff8032b765>] ebitmap_cpy+0x40/0x8b
May 25 07:06:42 vt last message repeated 2 times
May 25 07:06:42 vt kernel:  [<ffffffff8020c8d5>]
cache_alloc_debugcheck_after+0x35/0x1db
May 25 07:06:42 vt kernel:  [<ffffffff8032b765>] ebitmap_cpy+0x40/0x8b
May 25 07:06:42 vt kernel:  [<ffffffff802da188>] kmem_cache_zalloc+0x115/0x140
May 25 07:06:42 vt kernel:  [<ffffffff8032b765>] ebitmap_cpy+0x40/0x8b
May 25 07:06:42 vt kernel:  [<ffffffff8033377a>] mls_compute_sid+0x17b/0x19a
May 25 07:06:42 vt kernel:  [<ffffffff80330cfa>] security_compute_sid+0x68/0x346
May 25 07:06:42 vt kernel:  [<ffffffff80330e5c>] security_compute_sid+0x1ca/0x346
May 25 07:06:42 vt kernel:  [<ffffffff802a28cf>] trace_hardirqs_on+0x136/0x15a
May 25 07:06:42 vt kernel:  [<ffffffff802a2a13>]
debug_check_no_locks_freed+0x120/0x12f
May 25 07:06:42 vt kernel:  [<ffffffff802a2a13>]
debug_check_no_locks_freed+0x120/0x12f
May 25 07:06:42 vt kernel:  [<ffffffff80331018>] security_transition_sid+0x14/0x16
May 25 07:06:42 vt kernel:  [<ffffffff803266b2>]
selinux_bprm_set_security+0xb5/0x198
May 25 07:06:42 vt kernel:  [<ffffffff80323af2>]
selinux_bprm_alloc_security+0x1d/0x45
May 25 07:06:42 vt kernel:  [<ffffffff8020c998>]
cache_alloc_debugcheck_after+0xf8/0x1db
May 25 07:06:42 vt kernel:  [<ffffffff80323af2>]
selinux_bprm_alloc_security+0x1d/0x45
May 25 07:06:42 vt kernel:  [<ffffffff802da188>] kmem_cache_zalloc+0x115/0x140
May 25 07:06:42 vt kernel:  [<ffffffff8023e3f9>] prepare_binprm+0xc6/0xf4
May 25 07:06:42 vt kernel:  [<ffffffff8023fad5>] do_execve+0x12c/0x261
May 25 07:06:42 vt kernel:  [<ffffffff802536d1>] sys_execve+0x36/0x4d
May 25 07:06:42 vt kernel:  [<ffffffff8025c517>] stub_execve+0x67/0xb0
May 25 07:06:42 vt kernel: 
May 25 07:06:42 vt kernel: 000: 40 01 00 00 00 00 00 00 ff ff ff ff ff ff ff ff
May 25 07:06:42 vt kernel: 010: 18 4d 3e 70 00 81 ff ff 00 00 00 00 00 00 00 00
May 25 07:06:42 vt kernel: Prev obj: start=ffff81007c599a40, len=32
May 25 07:06:42 vt kernel: Redzone: 0x170fc2a5/0x170fc2a5.
May 25 07:06:42 vt kernel: Last user:
[<ffffffff802a9ba4>](sys_init_module+0x1450/0x172f)
May 25 07:06:42 vt kernel: 000: 2e 73 74 72 74 61 62 00 5a 5a 5a 5a 5a 5a 5a 5a
May 25 07:06:42 vt kernel: 010: 5a 5a 5a 5a 5a 5a 5a 5a 5a 5a 5a 5a 5a 5a 5a a5
May 25 07:06:42 vt kernel: Next obj: start=ffff81007c599ab0, len=32
May 25 07:06:42 vt kernel: Redzone: 0x5a2cf071/0x5a2cf071.
May 25 07:06:42 vt kernel: Last user:
[<ffffffff803237cc>](selinux_file_free_security+0x1e/0x20)
May 25 07:06:42 vt kernel: 000: 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b
May 25 07:06:42 vt kernel: 010: 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b a5
May 25 07:06:42 vt kernel: slab error in cache_alloc_debugcheck_after(): cache
`size-32': double free, or memory outside object was overwritten
May 25 07:06:42 vt kernel: 
May 25 07:06:42 vt kernel: Call Trace:
May 25 07:06:42 vt kernel:  [<ffffffff802d93e9>] __slab_error+0x24/0x26
May 25 07:06:42 vt kernel:  [<ffffffff8020c94b>]
cache_alloc_debugcheck_after+0xab/0x1db
May 25 07:06:42 vt kernel:  [<ffffffff8032b765>] ebitmap_cpy+0x40/0x8b
May 25 07:06:42 vt kernel:  [<ffffffff802da188>] kmem_cache_zalloc+0x115/0x140
May 25 07:06:42 vt kernel:  [<ffffffff8032b765>] ebitmap_cpy+0x40/0x8b
May 25 07:06:42 vt kernel:  [<ffffffff8033377a>] mls_compute_sid+0x17b/0x19a
May 25 07:06:42 vt kernel:  [<ffffffff80330cfa>] security_compute_sid+0x68/0x346
May 25 07:06:42 vt kernel:  [<ffffffff80330e5c>] security_compute_sid+0x1ca/0x346
May 25 07:06:42 vt kernel:  [<ffffffff802a28cf>] trace_hardirqs_on+0x136/0x15a
May 25 07:06:42 vt kernel:  [<ffffffff802a2a13>]
debug_check_no_locks_freed+0x120/0x12f
May 25 07:06:42 vt kernel:  [<ffffffff802a2a13>]
debug_check_no_locks_freed+0x120/0x12f
May 25 07:06:42 vt kernel:  [<ffffffff80331018>] security_transition_sid+0x14/0x16
May 25 07:06:42 vt kernel:  [<ffffffff803266b2>]
selinux_bprm_set_security+0xb5/0x198
May 25 07:06:42 vt kernel:  [<ffffffff80323af2>]
selinux_bprm_alloc_security+0x1d/0x45
May 25 07:06:42 vt kernel:  [<ffffffff8020c998>]
cache_alloc_debugcheck_after+0xf8/0x1db
May 25 07:06:42 vt kernel:  [<ffffffff80323af2>]
selinux_bprm_alloc_security+0x1d/0x45
May 25 07:06:42 vt kernel:  [<ffffffff802da188>] kmem_cache_zalloc+0x115/0x140
May 25 07:06:42 vt kernel:  [<ffffffff8023e3f9>] prepare_binprm+0xc6/0xf4
May 25 07:06:42 vt kernel:  [<ffffffff8023fad5>] do_execve+0x12c/0x261
May 25 07:06:42 vt kernel:  [<ffffffff802536d1>] sys_execve+0x36/0x4d
May 25 07:06:42 vt kernel:  [<ffffffff8025c517>] stub_execve+0x67/0xb0
May 25 07:06:42 vt kernel: 
May 25 07:06:42 vt kernel: ffff81007c599a70: redzone 1:0x170fc2a5, redzone
2:0x170fc2a5
May 25 07:06:42 vt kernel: Slab corruption (Not tainted): size-32
start=ffff8100703e4d18, len=32
May 25 07:06:43 vt kernel: Redzone: 0x170fc2a5/0x170fc2a5.
May 25 07:06:43 vt kernel: Last user: [<ffffffff8032b765>](ebitmap_cpy+0x40/0x8b)
May 25 07:06:43 vt kernel: 
May 25 07:06:43 vt kernel: Call Trace:
May 25 07:06:43 vt kernel:  [<ffffffff8020716d>] check_poison_obj+0x95/0x20c
May 25 07:06:43 vt kernel:  [<ffffffff8032b765>] ebitmap_cpy+0x40/0x8b
May 25 07:06:43 vt last message repeated 2 times
May 25 07:06:43 vt kernel:  [<ffffffff8020c8d5>]
cache_alloc_debugcheck_after+0x35/0x1db
May 25 07:06:43 vt kernel:  [<ffffffff8032b765>] ebitmap_cpy+0x40/0x8b
May 25 07:06:43 vt kernel:  [<ffffffff802da188>] kmem_cache_zalloc+0x115/0x140
May 25 07:06:43 vt kernel:  [<ffffffff8032b765>] ebitmap_cpy+0x40/0x8b
May 25 07:06:43 vt kernel:  [<ffffffff8033377a>] mls_compute_sid+0x17b/0x19a
May 25 07:06:43 vt kernel:  [<ffffffff80330cfa>] security_compute_sid+0x68/0x346
May 25 07:06:43 vt kernel:  [<ffffffff80330e5c>] security_compute_sid+0x1ca/0x346
May 25 07:06:43 vt kernel:  [<ffffffff802a28cf>] trace_hardirqs_on+0x136/0x15a
May 25 07:06:43 vt kernel:  [<ffffffff802a2a13>]
debug_check_no_locks_freed+0x120/0x12f
May 25 07:06:43 vt kernel:  [<ffffffff802a2a13>]
debug_check_no_locks_freed+0x120/0x12f
May 25 07:06:43 vt kernel:  [<ffffffff80331018>] security_transition_sid+0x14/0x16
May 25 07:06:43 vt kernel:  [<ffffffff803266b2>]
selinux_bprm_set_security+0xb5/0x198
May 25 07:06:43 vt kernel:  [<ffffffff80323af2>]
selinux_bprm_alloc_security+0x1d/0x45
May 25 07:06:43 vt kernel:  [<ffffffff8020c998>]
cache_alloc_debugcheck_after+0xf8/0x1db
May 25 07:06:43 vt kernel:  [<ffffffff80323af2>]
selinux_bprm_alloc_security+0x1d/0x45
May 25 07:06:43 vt kernel:  [<ffffffff802da188>] kmem_cache_zalloc+0x115/0x140
May 25 07:06:43 vt kernel:  [<ffffffff8023e3f9>] prepare_binprm+0xc6/0xf4
May 25 07:06:43 vt kernel:  [<ffffffff8023fad5>] do_execve+0x12c/0x261
May 25 07:06:43 vt kernel:  [<ffffffff802536d1>] sys_execve+0x36/0x4d
May 25 07:06:43 vt kernel:  [<ffffffff8025c517>] stub_execve+0x67/0xb0
May 25 07:06:43 vt kernel: 
May 25 07:06:43 vt kernel: 000: 80 01 00 00 00 00 00 00 ff ff ff ff ff ff ff ff
May 25 07:06:43 vt kernel: 010: 78 9a 59 7c 00 81 ff ff 00 00 00 00 00 00 00 00
May 25 07:06:43 vt kernel: Prev obj: start=ffff8100703e4ce0, len=32
May 25 07:06:43 vt kernel: Redzone: 0x5a2cf071/0x5a2cf071.
May 25 07:06:43 vt kernel: Last user:
[<ffffffff8032b63a>](ebitmap_destroy+0x1d/0x3b)
May 25 07:06:43 vt kernel: 000: 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b
May 25 07:06:43 vt kernel: 010: 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b a5
May 25 07:06:43 vt kernel: Next obj: start=ffff8100703e4d50, len=32
May 25 07:06:43 vt kernel: Redzone: 0x5a2cf071/0x5a2cf071.
May 25 07:06:43 vt kernel: Last user:
[<ffffffff8032b63a>](ebitmap_destroy+0x1d/0x3b)
May 25 07:06:43 vt kernel: 000: 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b
May 25 07:06:43 vt kernel: 010: 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b a5
May 25 07:06:43 vt kernel: slab error in cache_alloc_debugcheck_after(): cache
`size-32': double free, or memory outside object was overwritten
May 25 07:06:43 vt kernel: 
May 25 07:06:43 vt kernel: Call Trace:
May 25 07:06:43 vt kernel:  [<ffffffff802d93e9>] __slab_error+0x24/0x26
May 25 07:06:43 vt kernel:  [<ffffffff8020c94b>]
cache_alloc_debugcheck_after+0xab/0x1db
May 25 07:06:43 vt kernel:  [<ffffffff8032b765>] ebitmap_cpy+0x40/0x8b
May 25 07:06:43 vt kernel:  [<ffffffff802da188>] kmem_cache_zalloc+0x115/0x140
May 25 07:06:43 vt kernel:  [<ffffffff8032b765>] ebitmap_cpy+0x40/0x8b
May 25 07:06:43 vt kernel:  [<ffffffff8033377a>] mls_compute_sid+0x17b/0x19a
May 25 07:06:43 vt kernel:  [<ffffffff80330cfa>] security_compute_sid+0x68/0x346
May 25 07:06:43 vt kernel:  [<ffffffff80330e5c>] security_compute_sid+0x1ca/0x346
May 25 07:06:43 vt kernel:  [<ffffffff802a28cf>] trace_hardirqs_on+0x136/0x15a
May 25 07:06:43 vt kernel:  [<ffffffff802a2a13>]
debug_check_no_locks_freed+0x120/0x12f
May 25 07:06:43 vt kernel:  [<ffffffff802a2a13>]
debug_check_no_locks_freed+0x120/0x12f
May 25 07:06:43 vt kernel:  [<ffffffff80331018>] security_transition_sid+0x14/0x16
May 25 07:06:43 vt kernel:  [<ffffffff803266b2>]
selinux_bprm_set_security+0xb5/0x198
May 25 07:06:43 vt kernel:  [<ffffffff80323af2>]
selinux_bprm_alloc_security+0x1d/0x45
May 25 07:06:43 vt kernel:  [<ffffffff8020c998>]
cache_alloc_debugcheck_after+0xf8/0x1db
May 25 07:06:43 vt kernel:  [<ffffffff80323af2>]
selinux_bprm_alloc_security+0x1d/0x45
May 25 07:06:43 vt kernel:  [<ffffffff802da188>] kmem_cache_zalloc+0x115/0x140
May 25 07:06:43 vt kernel:  [<ffffffff8023e3f9>] prepare_binprm+0xc6/0xf4
May 25 07:06:43 vt kernel:  [<ffffffff8023fad5>] do_execve+0x12c/0x261
May 25 07:06:43 vt kernel:  [<ffffffff802536d1>] sys_execve+0x36/0x4d
May 25 07:06:43 vt kernel:  [<ffffffff8025c517>] stub_execve+0x67/0xb0
May 25 07:06:43 vt kernel: 
May 25 07:06:43 vt kernel: ffff8100703e4d10: redzone 1:0x170fc2a5, redzone
2:0x170fc2a5

Version-Release number of selected component (if applicable):
2.6.21-1.3201.fc7debug

How reproducible:
always

Steps to Reproduce:
1. start oprofile daemon
2. let it run while keeping the system busy
3. opcontrol -h
  
Actual results:
above messages

Expected results:
nice orpofile data dump

Additional info:
Comment 1 Dave Jones 2007-10-11 02:19:46 EDT
I think this got fixed a while back ?
Comment 2 Ulrich Drepper 2007-10-11 15:01:25 EDT
Yes, the rawhide kernel seems to work for some time now.

Note You need to log in before you can comment on or make changes to this bug.